<?php

// $Id: index.php 256 2005-11-28 08:33:29Z ryan $

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2005, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<title><?php page_title(); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="author" content="Valerie Robinson http://www.robcomm.net for Website Baker / Original design by Andreas Vilklund" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<link href="<?php echo TEMPLATE_DIR; ?>/andreas02.css" rel="stylesheet" type="text/css" media="screen,projection" title="andreas02 (screen)" />
<link href="<?php echo TEMPLATE_DIR; ?>/print.css" rel="stylesheet" type="text/css" media="print" />

</head>
<body>
<div id="toptabs"><p>Site Network: 
<?php show_menu("2", "0", "-1", "false", "[a][menu_title][/a]<span class=\"hide\"> | </span>\n", "", "", "", " class=\"toptab\"", " class=\"activetoptab\"", "0"); ?> </p>
</div>

<div id="container">
<div id="logo">
<h1><a href="<?php echo WB_URL; ?>/"> <?php page_title(); ?>  </a></h1>
<div class="searchform">	
				<?php if(SHOW_SEARCH) { /* Only show search box if search is enabled */ ?>


<form name="search" action="<?php echo WB_URL; ?>/search/index<?php echo PAGE_EXTENSION; ?>" method="post">
<input type="text" name="string" style="width: 100px;" />
<input type="submit" name="submit" value="Search" style="width: 80px;" />
</form>
<?php } ?>
			</div>



</div>

<div id="navitabs"> 
<h2 class="hide">Site menu:</h2>
<?php show_menu("1", "0", "-1", "false", "[a][menu_title][/a]<span class=\"hide\"> | </span>\n", "", "", "", " class=\"navitab\"", " class=\"activenavitab\"", "0"); ?>
</div>
	
<div id="desc">
<?php page_content(2); ?>
</div>

<div id="main">
<?php page_content(); ?>

</div>

<div id="sidebar">
<?php page_content(3); ?>


<p>
<div id="sidelink"> 
<?php show_menu("3", "0", "-1", "false", "[a][menu_title][/a]<span class=\"hide\"> | </span>\n", "", "", "", " class=\"sidelink\"", "0", "0"); ?>
</div>
</p>

<?php
		if(FRONTEND_LOGIN == 'enabled' AND VISIBILITY != 'private' AND $wb->get_session('USER_ID') == '') {
		?>
		<form name="login" action="<?php echo LOGIN_URL; ?>" method="post" class="login_table">
			<h2><?php echo $TEXT['LOGIN']; ?></h2>
			<?php echo $TEXT['USERNAME']; ?>:
			<input type="text" name="username" style="text-transform: lowercase;" />
			<?php echo $TEXT['PASSWORD']; ?>:
			<input type="password" name="password" />
			<input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" style="margin-top: 3px; text-transform: uppercase;" />
			<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>
				<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
					<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
				<?php } ?>
		</form>
		<?php
		} elseif(FRONTEND_LOGIN == 'enabled' AND is_numeric($wb->get_session('USER_ID'))) {
		?>
		<form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post" class="login_table">
			<h2><?php echo $TEXT['LOGGED_IN']; ?></h2>
			<?php echo $TEXT['WELCOME_BACK']; ?>, <?php echo $wb->get_display_name(); ?>
			<br />
			<input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" />
			<br />
			<a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a>
			<a href="<?php echo ADMIN_URL; ?>/index.php"><?php echo $TEXT['ADMINISTRATION']; ?></a>
		</form>
		<?php
		}
		?>


</div>
    
<div id="footer">
<p><?php page_footer(); ?><br />Design by <a href="http://andreasviklund.com">Andreas Viklund</a> |
Ported to Website Baker by <a href="http://www.robcomm.net">Valerie Robinson--RCC Creative</a></p>
</div>

</div>
</body>
</html>